%global extdir          %{_datadir}/gnome-shell/extensions/blur-my-shell@aunetx
%global gschemadir      %{_datadir}/glib-2.0/schemas

%global giturl          https://github.com/aunetx/blur-my-shell
%global commit          b05ce0c547e48dddc0d99cad69b8a453553afc9a
%global commit_short    %%(c=%%{commit}; echo ${c:0:7})
%global commit_date     20230425

Name:           gnome-shell-extension-blur-my-shell
%if 0%{?commit:1}
Version:        44^20230425gb05ce0c
%else
Version:        44
%endif
Release:        1%{?dist}
Summary:        Extension that adds a blur look to different parts of the GNOME Shell

License:        GPLv3
URL:            https://github.com/aunetx/blur-my-shell
%if 0%{?commit:1}
Source0:        %{giturl}/archive/%{commit}.tar.gz
%else
Source0:        %{giturl}/arcive/%{version}.tar.gz
%endif

BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  %{_bindir}/glib-compile-schemas

Requires:       gnome-shell-extension-common
%if 0%{?fedora}
Requires:       libdbusmenu-gtk3
%endif

%description
Extension that adds a blur look to different parts of the GNOME Shell,
including the top panel, dash and overview

%prep
%if 0%{?commit:1}
%autosetup -n blur-my-shell-%{commit} -p 0
%else
%autosetup -n blur-my-shell-%{version} -p 0
%endif

%build
for l in ./po/*.po; do
  lf=`basename $l .po`
  ld="locale/${lf}/LC_MESSAGES"
  mkdir -p $ld
  msgfmt -c $l -o "${ld}/blur-my-shell.mo"
done
#%%make_build

%install
#%%make_install
mkdir -p %{buildroot}%{extdir} %{buildroot}%{gschemadir} %{buildroot}%{_datadir}/locale %{buildroot}%{_sysconfdir}/dconf/db/local.d
mv -f locale %{buildroot}%{_datadir}/
cp -fr metadata.json %{buildroot}%{extdir}
cp -fr resources/{icons,ui} %{buildroot}%{extdir}
cp -fr schemas/*gschema.xml %{buildroot}%{gschemadir}
cp -fr src/{components,conveniences,effects,preferences,dbus} %{buildroot}%{extdir}
cat <<EOF | tee %{buildroot}%{_sysconfdir}/dconf/db/local.d/00-blur-my-shell
[org/gnome/shell/extensions/blur-my-shell]
EOF
#%%{__rm} -fr %{buildroot}%{extdir}/{LICENSE*,README*,locale,schemas}

%if 0%{?rhel} && 0%{?rhel} <= 7
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :
  %{_bindir}/dconf update &> /dev/null || :
fi

%posttrans
%{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :
%{_bindir}/dconf update &> /dev/null || :
%else
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/dconf update &> /dev/null || :
fi

%posttrans
%{_bindir}/dconf update &> /dev/null || :
%endif

%files
%license LICENSE
%doc README.md
%{_sysconfdir}/dconf
%{extdir}
%{gschemadir}/*gschema.xml
%{_datadir}/locale

%changelog
* Wed Apr 19 2023 Astrawan Wayan <astrawan@icloud.com> - 44^20230425gb05ce0c-1
- Bump version 44^20230425gb05ce0c
* Fri Nov 18 2022 Astrawan Wayan <astrawan@icloud.com> - 44^20221030gafa1adf-1
- Initial import
